Bug 842455 - dnssec-triggerd doesn't restore /etc/resolv.conf immutable attribute
dnssec-triggerd doesn't restore /etc/resolv.conf immutable attribute
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnssec-trigger (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 18:04 EDT by Pavel Šimerda (pavlix)
Modified: 2014-09-19 06:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnssec-trigger-0.12-13.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 06:06:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Šimerda (pavlix) 2012-07-23 18:04:06 EDT
Steps to reproduce:

[root@dragon ~]# service dnssec-triggerd start
Redirecting to /bin/systemctl  start dnssec-triggerd.service
[root@dragon ~]# service dnssec-triggerd stop
Redirecting to /bin/systemctl  stop dnssec-triggerd.service
[root@dragon ~]# echo asfd >/etc/resolv.conf 
-bash: /etc/resolv.conf: Permission denied
[root@dragon ~]# lsattr /etc/resolv.conf 
----i--------e- /etc/resolv.conf

Workaround:

[root@dragon ~]# dnssec-triggerd -u
[root@dragon ~]# lsattr /etc/resolv.conf 
-------------e- /etc/resolv.conf
[root@dragon ~]# echo asfd >/etc/resolv.conf 
[root@dragon ~]# 

Rationale:

dnssec-trigger shouldn't leave misconfigured networking behind.

Version:

dnssec-trigger-0.10-4.fc17.x86_64
Comment 1 Paul Wouters 2012-07-24 12:00:43 EDT
I looked into this, but it is a design issue done on purpose by upstream. The idea is to try and avoid being vulneable to DNS spoofing during shutdown and boot. Since we are working on better NM integration of this feature that would no longer require resolv.conf to be immutable, I've patched the daemon to remove the immutable bit on shutdown for now.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4325933

(A first attempt using systemd's ExecStopPost= in dnssec-triggerd.service failed)

I'll run it through some hotspot testing today before pushing it into F17
Comment 2 Pavel Šimerda (pavlix) 2012-07-25 07:10:53 EDT
Thanks. I guess upstream is working against their own case here, preventing administrators from properly reconfiguring their systems to any state they wish.
Comment 3 Paul Wouters 2012-07-25 11:06:21 EDT
well, not entirely. they do have a point about ensuring dns cannot be spoofed during boot/shutdown. If we weren't going to change things I would leave it like that. But the whole immutable hack is on its way out anyway for a better integrated solution
Comment 4 Pavel Šimerda (pavlix) 2012-07-26 04:59:21 EDT
I'd be happy to discuss this with you and atkac (and anyone else involved) as I'm afraid NM side will have *very* different opinions regarding the integration from the dnssec-trigger side.
Comment 5 Paul Wouters 2012-11-03 21:51:25 EDT
Pavel: sure, we should meet up sometime and do a conference call
Comment 6 Paul Wouters 2013-01-11 09:59:32 EST
btw. this was an issue of chattr not being called with full path. will be fixed in next release, although a work around patch was already included
Comment 7 Fedora End Of Life 2013-07-04 02:28:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:03:26 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Pavel Šimerda (pavlix) 2014-06-06 11:39:03 EDT
A fix has apparently been applied to dnssec-trigger dist-git master (at the least). I'm reopening to check whether the patch is actually needed or we can solve this using a change in the systemd service file. I would also like to try to upstream whatever solution is used.
Comment 10 Pavel Šimerda (pavlix) 2014-06-20 05:39:46 EDT
Removing the (not upstreamed) patch, Fedora will rely on the systemd service file to restore the immutable bit. People should either use the systemd service or know what they are doing. Anyone is free to submit the patch or a similar one to upstream.
Comment 11 Pavel Šimerda (pavlix) 2014-06-20 05:55:42 EDT
dnssec-triggerd.service now in upstream has been restoring the immutable bit for some time, the newest versions just drops the dnssec-trigger patch that is now redundant.
Comment 12 Fedora Update System 2014-06-30 11:29:42 EDT
dnssec-trigger-0.12-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnssec-trigger-0.12-12.fc20
Comment 13 Fedora Update System 2014-07-01 03:21:20 EDT
Package dnssec-trigger-0.12-12.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnssec-trigger-0.12-12.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7942/dnssec-trigger-0.12-12.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-08-11 07:40:30 EDT
dnssec-trigger-0.12-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnssec-trigger-0.12-13.fc20
Comment 15 Fedora Update System 2014-09-19 06:06:48 EDT
dnssec-trigger-0.12-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.